$! VAX CAMAC System Startup Command Procedure
$!
$!
$!     Date          By     Change
$!     ==========    ===    ======
$!     16-SEP-1982   ETB    Created initial version.
$!
$ if (p1.eqs."") then inquire p1 "CAMAC system(s) to start?"
$!
$! Parse CAMAC highway ID's from parameter string
$! String is assumed to be comma delimited.
$!
$ cam_loop:
$ str_len = f$length(p1)
$ if (str_len.le.0) then exit
$ endpos = f$locate(",",p1)
$ cam_nam := 'f$extract(0,endpos,p1)
$ com_nam := "SYS$MANAGER:''cam_nam'.COM"
$ com_file := 'f$search(com_nam)
$ if ("''com_file'".nes."") then goto com_found
$ write sys$output "''cam_nam' startup command file not found"
$ goto next_param
$!
$! Execute startup command file for specified CAMAC highway and
$! start the CAMAC ACP.
$!
$ com_found:
$ @'com_file'
$ @sys$manager:mcam 'cam_nam'
$ next_param:
$ endpos = endpos + 1
$ str_len = str_len - endpos
$ p1 := 'f$extract(endpos,str_len,p1)
$ goto cam_loop
$ exit
