$! Dismount Command File for the CAMAC ACP
$! P1 specifies the CAMAC highway and controller to be "mounted"(eg.
$!	SHA for serial highway controller A, PHA for parellel highway
$!	controller A, etc.)
$!
$!	Date		By	Change
$!	===========	===	======
$!	3-SEP-1982	ETB	Initial development complete.
$!	16-SEP-1982	ETB	Change input from HSU mnemonic to Hwy ID.
$!	15-DEC-1982	ETB	Change dismount unit logical name to DCAM$UNIT.
$!     
$!
$! Privileges required to dismount the CAMAC ACP
$!
$ dcam_privs := "cmkrnl,bugchk"
$!
$! Prompt for CAMAC highway ID if not specified.
$!
$ if (p1.eqs."") then inquire p1 "CAMAC Highway ID?"
$ assign/user_mode 'p1'0: dcam$unit
$ set nocontrol=(t,y)
$!
$! Set to invoke dismount image for CAMAC ACP
$!
$ prev_priv := 'f$setprv(dcam_privs)
$ on error then goto dcam_error
$ on severe_error then goto dcam_error
$ mc dmountcam
$ dcam_error:
$ set control=(t,y)
$ junk := 'f$setprv(prev_priv)
$ exit
