
 PARTRGE

OG
IS:GRAMMAR2.LIS
ACT>=( <DISPLAY> ! <PLOT> ! <PDL> ! <SHOW> ! <REPLAY> ! <SNOOZE> )

COMMAND>=( <DEC> ! <ACT> ! <EXIT> ! <USE> ! <HELP> ! <DCL> )

CPU>=( "KERNEL"(1 1)[3] ! "SUPER"(1 2)[3] ! "EXEC"(1 3)[3] ! "USER"(1 4)[3] -
 "INT"(1 5) ! "COMPAT"(1 6) ! "IDLE"(1 7)[3] ! "BATCH"(1 8)[3] ! -
ONLINE"(1 9)[3] )

DAY_EXP>=<DAY_NAME> ( <OFF_SET> ) (0 1)

DAY_NAME>=( "YESTERDAY" (3) [3] ! "TODAY" (4) [3] ! "TOMORROW" (5) [3] )

DCL>="$" (12) S

DI_OPT>=( "CPU"(3 1) ! "FCP"(3 2) ! "MISC"(3 3) ! "MEMORY"(3 4) [3] !-
PGFLT"(3 5) ! "SCHED"(3 6) [3] ! "SWAP"(3 7) ! "UPTIME"(3 8) [2] !-
DECNET"(3 9) [3] ! "LOCK"(3 10) ! "RESPONSE"(3 11) [3] ! "POOL"(3 12) )

DEC>="SET" [2] ( <SET_START> ! <SET_END> )

DECNET>=( "ARRLOCPK"(9 1)[4] ! "ARRTRAPK"(9 2)[4] ! "DEPLOCPK"(9 3)[3] ! -
RCVBUFFL"(9 4)[3] ! "TRCNGLOS"(9 5)[3] )

DISPLAY>=( "DISPLAY" (3) [2] <DI_LIST> )

END_EXP>="END" (2) ( <OFF_SET> ) (0 1)

DI_LIST>=<DI_OPT> ( "," <DI_OPT>) (0 20) ( S )(0 1)

EXIT>=( "EXIT"(4)[2] ! "QUIT"(4) [1] )

HELP>="HELP"(11) [2] ( S )(0 1)

HIT_LIST>=( "OPENS"(3 9) ! "OPEN"(3 10) ! "DIRHIT"(3 11)[4] ! "DIRMISS"-
3 12)[4] ! "EXTHIT"(3 13)[4] ! "EXTMISS"(3 14)[4] ! "FIDHIT"(3 15)[4] -
 "FIDMISS"(3 16)[4] ! "QUOHIT"(3 17)[4] ! "QUOMISS"(3 18)[4] )

LOCK>=( "ENQNEW"(10 1)[5] ! "ENQWAIT"(10 2)[4] ! "DEQ"(10 3) !-
DLCKFND"(10 4)[5] ! "DLCKSRCH"(10 5)[5] ! "ENQCNT"(10 6)[4] ! -
ENQNOTQD"(10 7)[4] )

FCP>=( "CALL"(2 1)[3] ! "CACHE"(2 2)[3] ! "CPU"(2 3) ! "READ"(2 4)[3] -
 "WRITE"(2 5)[3] )

MEM>=( "FREECNT"(4 1)[3] ! "MFYCNT"(4 2)[3] )

MISC>=( "DIRIO"(3 1) ! "BUFIO"(3 2) ! "LOGNAM"(3 3)[3] ! "MBREAD"(3 4)-
3] ! "MBWRITE"(3 5)[3] ! "TURN"(3 6)[3] ! "SPLIT"(3 7)[3] ! "HIT"(3 8) -
 <HIT_LIST> )

OFF_SET>=( "+" (1) ! "-" (2) ) S

PDL>=( "PDL"(7) <PDL_LIST> S )

PDL_LIST>=<PL_OPT> ( "," <PL_OPT> )(0 3)

PGFLT>=( "DZROFLTS"(5 1)[3] ! "FAULTS"(5 2)[3] ! "PREADIO"(5 3) ! -
PWRITIO"(5 4) ! "PREADS"(5 5)[3] ! "PWRITES"(5 6)[3] ! "RDFLTS"(5 7)[3] )

PL_OPT>=( <CPU> ! <FCP> ! <MISC> ! <MEM> ! <PGFLT> ! <SCH> ! <SWAP> ! <RES> -
 <DECNET> ! <LOCK> ! <POOL> )

PLOT>=( "PLOT"(5) [2] <PL_OPT> )

POOL>=( "IRPCNT"(12 1) [3] ! "HOLES"(12 2) [3] ! "LBLOCK"(12 3) [3] ! -
SBLOCK"(12 4) [3] ! "SMALLCNT"(12 5) [3] ! "TSPACE"(12 6) [3] ! -
LRPCNT"(12 7) [3] ! "SRPCNT"(12 8) [3] )

REPLAY>=( "REPLAY"(9) [3] <REP_LIST> )

REP_LIST>=<PL_OPT> ( "," <PL_OPT>) (0 20) ( S )(0 1)

RES>="RESPONSE"(11 1)[3]

SCH>=("COLPG"(6 1)[3] ! "MWAIT"(6 2)[3] ! "CEF"(6 3) ! "PFW"(6 4) ! -
LEF"(6 5) ! "LEFO"(6 6) ! "HIB"(6 7) ! "HIBO"(6 8) ! "SUSPO"(6 10) ! "SUSP"-
6 9) ! "FPG"(6 11) ! "COM"(6 12) ! "COMO"(6 13) ! "CUR"(6 14) )

SET_END>="END" (2) ( <END_EXP>  ! "START" [2] FAIL ! <DAY_EXP> ! S )

SET_START>="START" (1) [2] ( <START_EXP> ! "END" FAIL ! <DAY_EXP> ! S )

SH_LIST>=<SH_OPT> ( "," <SH_LIST> ) (0 4)

SH_OPT>=( "START"(1)[2] ! "END"(2) ! "FILE"(3) )

SHOW>="SHOW"(8) [2] <SH_LIST>

SNOOZE>="SNOOZE"(10) [2] ( "ALARM"(1) [2] )(0 1) ( "TILL" ! "FOR" ) S

START_EXP>="START" (1) [2] ( <OFF_SET> ) (0 1)

SWAP>=( "ISPAGCNT"(7 1)[3] ! "ISWPCNT"(7 2)[3] ! "PROCCNT"(7 3)[3] ! -
OSWPCNT"(7 4)[3] ! "HOSWPCNT"(7 5)[3] ! "HISWPCNT"(7 6)[3] )

USE>="USE"(6) S


LL

RAMMAR2.GMR