!
!			  COPYRIGHT (c) 1982 BY
!	      MOSTEK CORPORATION, CARROLLTON TX
!
! This software is furnished under a license and may be used and  copied
! only  in  accordance  with  the  terms  of  such  license and with the
! inclusion of the above copyright notice.  This software or  any  other
! copies  thereof may not be provided or otherwise made available to any
! other person.  No title to and ownership of  the  software  is  hereby
! transferred.
!
! The information in this software is subject to change  without  notice
! and  should  not  be  construed  as  a commitment by MOSTEK
! CORPORATION.
!
! MOSTEK assumes no responsibility for the use or  reliability  of  its
! software on equipment which is not supplied by MOSTEK.
!

!++
! FACILITY:
!   MOSTEK CORPORATION
!
! ABSTRACT: Give the user helpful information
!   
!
! ENVIRONMENT: VAX VMS unpriv
!   
!
! AUTHOR: Gary Smith, CREATION DATE: 10/25/1982
!
! MODIFIED BY:
!
!--
!
! TABLE OF CONTENTS:
!
!
! INCLUDE FILES: statsubs.for
!
!
! MACROS: none
!
!
! EQUATED SYMBOLS: none
!
!
! EXTERNAL REFERENCES: LIB$GET_INPUT, LIB$PUT_OUTPUT
!

!++
! FUNCTIONAL DESCRIPTION: When the confused user wants help he types help
!                         and some query. This accesses the help file
!                         and presents it to the user.
!
!
!
! FORMAL PARAMETERS: The command minus the "HELP"
!
!
!
! IMPLICIT INPUTS: The help file
!
!
!
! IMPLICIT OUTPUTS: The help information
!
!
!
! ROUTINE VALUE and
! COMPLETION CODES: none
!
!
!
! SIDE EFFECTS: none to date
!
!
!
!--
          SUBROUTINE STATSHLP( command )

          include 'statsubs.for'

          character * (*)   command
          character * 63    helplib / standard_help_lib /

          integer * 4       LIB$GET_INPUT
          integer * 4       LIB$PUT_OUTPUT

          external          LIB$GET_INPUT
          external          LIB$PUT_OUTPUT


!++
! get help
!--

          if ( command .eq. ' ' ) command = 'STATS'

          call LBR$OUTPUT_HELP( LIB$PUT_OUTPUT,,command,helplib,
     .                          '21'x, LIB$GET_INPUT )
          return
          end
