!++
! sub for the location of the STATS help file
!--

          character * (*) standard_help_lib
          parameter ( standard_help_lib = 'SYS$HELP:STATS.HLB' )
!++
! subs for success and failure return codes
!--

          parameter success = 0  ! successful operation
          parameter failure = 1  ! did not succeed

!++
! subs for functions that READ_NEST uses
!--
          parameter nest_open     = 1     ! open the nest file for reading
          parameter keyed_read    = 2     ! read specific record
          parameter seq_read      = 3     ! read RATSNEST's next record
          parameter nest_close    = 4     ! close RATSNEST file

!++
! subs for comquad function
!--

          parameter less   = -1   ! comparison was <
          parameter equal   = 0   ! comparison was =
          parameter greater = 1   ! comparison was >

!++
! subs for categories and entries within categories
!--

          parameter max_cat = 12
          parameter max_ent = 18

!++
! subs for time values used for scaling of plots
!--

          parameter seconds_in_minute  = 60.0
          parameter minutes_in_hour    = 60.0
          parameter seconds_in_hour    = 3600.0
          parameter seconds_in_day     = 3600.0 * 24.0
          parameter minutes_in_day     = 60.0 * 24.0

!++
! definitions used by PLOT and REPLAY
!--

          parameter maxint = 2**30
          parameter eof    = -1
