$       IF (F$MODE() .NES. "NETWORK") THEN EXIT
$ !--------------------------------------------------------------------!
$ !     Procedure:     REMDCL                                          !
$ !--------------------------------------------------------------------!
$ !     System:        VAX/VMS V3.0 DCL                                !
$ !--------------------------------------------------------------------!
$ !     Programmer:    Kevin Klughart                                  !
$ !--------------------------------------------------------------------!
$ !     Date:          04-18-83 @ 06:00 CDST                           !
$ !--------------------------------------------------------------------!
$ !     Purpose:       VMS command procedure to serve remote DCL       !
$ !                    requests.  Returns result of remote command to  !
$ !                    remote requesting process.  The remote command  !
$ !                    is currently limited to the DCL "SHOW" command. !
$ !                                                                    !
$ !     ***  This file is under network configuration control  ***     !
$ !--------------------------------------------------------------------!
$ !     Initialize error condition processors                          !
$ !--------------------------------------------------------------------!
$       ON ERROR     THEN EXIT
$       ON CONTROL_Y THEN EXIT
$ !--------------------------------------------------------------------!
$ !     Read remote command                                            !
$ !--------------------------------------------------------------------!
$       OPEN /WRITE DCLCMD SYS$NET
$       READ        DCLCMD COMMAND
$ !--------------------------------------------------------------------!
$ !     Validate remote command                                        !
$ !--------------------------------------------------------------------!
$       IF (F$LOCATE("SHOW",COMMAND) .EQ. F$LENGTH(COMMAND)) THEN EXIT
$ !--------------------------------------------------------------------!
$ !     Return result of command to remote user                        !
$ !--------------------------------------------------------------------!
$       ASSIGN /USER_MODE DCLCMD SYS$OUTPUT
$       'COMMAND'
$
$       CLOSE       DCLCMD
$ !--------------------------------------------------------------------!
$ !     End of main procedure REMDCL                                   !
$ !--------------------------------------------------------------------!
