$       IF (F$MODE() .NES. "NETWORK") THEN EXIT
$ !--------------------------------------------------------------------!
$ !     Procedure:     REMPRT                                          !
$ !--------------------------------------------------------------------!
$ !     System:        VAX/VMS V3.0 DCL                                !
$ !--------------------------------------------------------------------!
$ !     Programmer:    Kevin Klughart                                  !
$ !--------------------------------------------------------------------!
$ !     Date:          04-18-83 @ 06:00 CDST                           !
$ !--------------------------------------------------------------------!
$ !     Purpose:       VMS command procedure to serve remote print     !
$ !                    requests.  Copies remote file to NET$PRINT.     !
$ !                                                                    !
$ !     ***  This file is under network configuration control  ***     !
$ !--------------------------------------------------------------------!
$ !     Initialize error condition processors                          !
$ !--------------------------------------------------------------------!
$       ON ERROR     THEN EXIT
$       ON CONTROL_Y THEN EXIT
$ !--------------------------------------------------------------------!
$ !     Exit if NET$PRINT logical name not defined                     !
$ !--------------------------------------------------------------------!
$       IF (F$LOGICAL("NET$PRINT") .EQS. "") THEN EXIT
$ !--------------------------------------------------------------------!
$ !     Copy from SYS$NET (remote file) to local spooled printer       !
$ !--------------------------------------------------------------------!
$       COPY SYS$NET: NET$PRINT:'FILENAME'
$ !--------------------------------------------------------------------!
$ !     End of main procedure REMPRT                                   !
$ !--------------------------------------------------------------------!
