$ !--------------------------------------------------------------------!
$ !                                                                    !
$ !                                                                    !
$ !     TLXLNK - Link Telex Object Modules                             !
$ !                                                                    !
$ !                                                                    !
$ !--------------------------------------------------------------------!
$ !     Create a current version link option file, searching for all   !
$ !     object modules and using the highest version of each.  Note    !
$ !     that since the search is alphabetic, the main Telex module     !
$ !     must be the first module in the object directory.              !
$ !--------------------------------------------------------------------!
$       OPEN /WRITE TLXOPT TLX$COMMAND:TLXLNK.OPT
$
$ NEXT: MODULE = F$SEARCH("TLX$OBJECT:*.OBJ;")
$       IF (MODULE .EQS. "") THEN GOTO EOF
$
$       WRITE TLXOPT MODULE
$       GOTO NEXT
$ !--------------------------------------------------------------------!
$ !     All object modules have been placed in the options file.       !
$ !--------------------------------------------------------------------!
$ EOF:  CLOSE TLXOPT
$ !--------------------------------------------------------------------!
$ !     The options file is now complete - link the Telex image        !
$ !--------------------------------------------------------------------!
$       LINK TLX$COMMAND:TLXLNK.OPT /OPTIONS    -
                /EXECUTEABLE=TLX$SYSTEM:TLX     -
                /MAP=TLX$LIST:TLX
$ !--------------------------------------------------------------------!
$ !     Clean up link files now that new Telex image has bee built     !
$ !--------------------------------------------------------------------!
$       PURGE TLX$COMMAND:*.OPT
$       PURGE TLX$SYSTEM:*.*
$       PURGE TLX$LIST:*.*
$ !--------------------------------------------------------------------!
$ !     End of Telex link procedure                                    !
$ !--------------------------------------------------------------------!
