$!
$!	Compile message file using MESSAGE utility and produce
$!	optionally a FORTRAN PARAMETER file and/or a MACRO
$!	definition file as output.
$!
$!	Date		Name	Comments
$!	16-DEC-1982	ETB	Initial development complete.
$!
$!	p1-message source file spec,
$!	p2-FORTRAN PARAMETER file spec(optional),
$!	p3-MACRO definition file spec(optional).
$!
$	on control_y then goto abort_com
$	on error then goto abort_com
$	if (p1 .eqs. "") then inquire p1 "Message source file??"
$	msg_name = f$parse(p1,,,"name")
$	msg_typ = f$parse(p1,,,"type")
$	msg_source = msg_name + msg_typ
$	msg_lis = msg_name + ".lis"
$	msg_obj = msg_name + ".obj"
$!
$!	Compile message source with MESSAGE utility.
$!
$	message/lis='msg_lis'/obj='msg_obj' 'p1'
$!
$!	Generate FORTRAN PARAMETER file if specified.
$!
$	if (p2 .eqs. "") then goto gen_macro
$	@messfor 'msg_lis' 'p2' n n
$!
$!	Generate MACRO definition file if specified.
$!
$ gen_macro:
$	if (p3 .eqs. "") then goto exit_com
$	@messmar 'msg_lis' 'p3' n n
$	goto exit_com
$ abort_com:
$	write sys$output "Message generation procedure aborted"
$ exit_com:
$	exit
