$       SET NOVERIFY
$ !--------------------------------------------------------------------!
$ !     Procedure:     LOGIN                                           !
$ !--------------------------------------------------------------------!
$ !     System:        VAX/VMS V3.0 DCL                                !
$ !--------------------------------------------------------------------!
$ !     Programmer:    Kevin Klughart                                  !
$ !--------------------------------------------------------------------!
$ !     Date:          07-11-82 @ 10:00 CDST                           !
$ !--------------------------------------------------------------------!
$ !     Purpose:       This procedure is for use in the network        !
$ !                    manager login procedures.                       !
$ !--------------------------------------------------------------------!
$ !     The following symbol FAL$LOG defines the logging options that  !
$ !     the file access listener will enable for the current transfer. !
$ !--------------------------------------------------------------------!
$       DEFINE FAL$LOG "02_3F"          ! ENABLE FAL LOGGING
$ !--------------------------------------------------------------------!
$ !     Purge the FAL batch log files                                  !
$ !--------------------------------------------------------------------!
$       IF (F$SEARCH("FAL.LOG;*") .NES. "") THEN PURGE FAL.LOG /KEEP=4
$ !--------------------------------------------------------------------!
$ !     Define network manager special DCL symbols                     !
$ !--------------------------------------------------------------------!
$       DIR         :== "DIRECTORY /SIZE=ALL /DATE"
$       E*DIT       :== $EDT
$       NCP         :== $NCP
$       NETLCL      :== "SET DEFAULT MKL$NETWORK"
$       NETMGR      :== "SET DEFAULT MKG$NETWORK"
$       RENAMEALL   :== "RENAME *.*;* *.*;1"
$ !--------------------------------------------------------------------!
$ !                                                                    !
$ !     End of DCL procedure LOGIN                                     !
$ !                                                                    !
$ !--------------------------------------------------------------------!
