$ !--------------------------------------------------------------------!
$ !                                                                    !
$ !                                                                    !
$ !     TLXBLD - Create Telex Utility                                  !
$ !                                                                    !
$ !                                                                    !
$ !--------------------------------------------------------------------!
$ !     Run this procedure as a batch job if entered interactively     !
$ !--------------------------------------------------------------------!
$       IF (F$MODE() .NES. "INTERACTIVE") THEN GOTO MLIB
$
$       SUBMIT TLX$COMMAND:TLXBLD /NAME=TLXBLD /NOTIFY -
                /LOG_FILE=TLX$BATCHLOG: /NOPRINTER -
                /QUEUE=SYS$ONEJOB
$       EXIT
$ !--------------------------------------------------------------------!
$ !     Create macro library                                           !
$ !--------------------------------------------------------------------!
$ MLIB: @TLX$COMMAND:TLXMLB
$ !--------------------------------------------------------------------!
$ !     Assemble the sources                                           !
$ !--------------------------------------------------------------------!
$       @TLX$COMMAND:TLXMAR
$ !--------------------------------------------------------------------!
$ !     Wait for assembly of last procedure to complete before link    !
$ !--------------------------------------------------------------------!
$       SYNCHRONIZE TLXTIO
$ !--------------------------------------------------------------------!
$ !     Link to produce an executeable module                          !
$ !--------------------------------------------------------------------!
$       @TLX$COMMAND:TLXLNK
$ !--------------------------------------------------------------------!
$ !     End of Telex build procedure                                   !
$ !--------------------------------------------------------------------!
