$ !--------------------------------------------------------------------!
$ !                                                                    !
$ !     Mostek TELEX interface form library generation procedure       !
$ !                                                                    !
$ !--------------------------------------------------------------------!
$ !     Define the name of the form library                            !
$ !--------------------------------------------------------------------!
$       FRMLIB = "TLX$LIBRARY:TELEX.FLB"
$       FRMNAM = "TLX$FORMS:*.FRM"
$ !--------------------------------------------------------------------!
$ !     Determine if this is an update procedure or replacement        !
$ !--------------------------------------------------------------------!
$       IF (P1 .NES. "") THEN FRMNAM = F$PARSE(P1,"TLX$FORMS:.FRM;")
$       IF (P1 .NES. "") THEN GOTO NEXT
$ !--------------------------------------------------------------------!
$ !     Delete old copies of the form library                          !
$ !--------------------------------------------------------------------!
$       IF (F$SEARCH(FRMLIB) .NES. "") THEN DELETE 'FRMLIB';*
$ !--------------------------------------------------------------------!
$ !     Use the forms utility to create a new TELEX forms library      !
$ !--------------------------------------------------------------------!
$       FORM = F$SEARCH(FRMNAM)
$       FMS /LIBRARY /CREATE 'FRMLIB' 'FORM'
$ !--------------------------------------------------------------------!
$ !     Insert the remainder of the TELEX forms into the library       !
$ !--------------------------------------------------------------------!
$ NEXT: FORM = F$SEARCH(FRMNAM)
$       IF (FORM .EQS. "") THEN EXIT
$
$       WRITE SYS$OUTPUT " "
$       WRITE SYS$OUTPUT "	***  Updating form ''FORM'  ***"
$
$       FMS /LIBRARY 'FRMLIB' 'FORM'
$       GOTO NEXT
$ !--------------------------------------------------------------------!
$ !     End of TELEX form library generation procedure                 !
$ !--------------------------------------------------------------------!
