$ !--------------------------------------------------------------------!
$ !                                                                    !
$ !                                                                    !
$ !     TLXMLB - Create macro library for Telex utility                !
$ !                                                                    !
$ !                                                                    !
$ !--------------------------------------------------------------------!
$       DELETE TLX$LIBRARY:TELEX.MLB;*
$ !--------------------------------------------------------------------!
$ !     Create the new macro library using all macro definition files  !
$ !--------------------------------------------------------------------!
$ !     EISDEF - VMS instruction extension macros                      !
$ !     FDVDEF - FMS macro interface macros                            !
$ !     LIBDEF - VMS run-time library interface macros                 !
$ !     SCRDEF - SCR VMS screen driver interface macros                !
$ !     SPMDEF - Top Down Structured Programming Macro Library         !
$ !     TLXDEF - Telex macro initialization macro                      !
$ !     VMDEF  - Telex virtual memory management macros                !
$ !--------------------------------------------------------------------!
$       LIBRARIAN TLX$LIBRARY:TELEX /CREATE /MACRO
$
$
$ NEXT: MODULE = F$SEARCH("TLX$MACROS:*.MAR;")
$       IF (MODULE .EQS. "") THEN EXIT
$
$       WRITE SYS$OUTPUT " "
$       WRITE SYS$OUTPUT "	***  Loading macro module ''MODULE'  ***"
$       LIBRARIAN TLX$LIBRARY:TELEX.MLB 'MODULE'
$       GOTO NEXT
$ !--------------------------------------------------------------------!
$ !     End of Telex Macro Library creation procedure                  !
$ !--------------------------------------------------------------------!
